org.apache.tinkerpop.gremlin.structure

## Class VertexPropertyTest.VertexPropertyRemoval

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VertexPropertyTest.VertexPropertyRemoval

- Enclosing class:
    VertexPropertyTest

      public static class VertexPropertyTest.VertexPropertyRemoval
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertyRemoval()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowIteratingAndRemovingVertexPropertyProperties()`
    `void` | `shouldRemoveMultiProperties()`
    `void` | `shouldRemoveMultiPropertiesWhenVerticesAreRemoved()`
    `void` | `shouldSupportIdempotentVertexPropertyRemoval()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPropertyRemoval

          public VertexPropertyRemoval()

  - ### Method Detail

    - #### shouldSupportIdempotentVertexPropertyRemoval

          public void shouldSupportIdempotentVertexPropertyRemoval()

    - #### shouldAllowIteratingAndRemovingVertexPropertyProperties

          public void shouldAllowIteratingAndRemovingVertexPropertyProperties()

    - #### shouldRemoveMultiProperties

          public void shouldRemoveMultiProperties()

    - #### shouldRemoveMultiPropertiesWhenVerticesAreRemoved

          public void shouldRemoveMultiPropertiesWhenVerticesAreRemoved()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.